Willkommen Gast.
Um die volle Funktionalität des Forums nutzen zu können,
müssen Sie sich einloggen oder registrieren.
Haben Sie Ihre Aktivierungs E-Mail übersehen?

 
Erweiterte Suche

31.112 Beiträge in 6.477 Themen- von 6.477 Mitglieder - Neuestes Mitglied: Frideborg

12-07-2020 15:01:17
JOOM::GALLERY::FORUMArchivJoomGallery 1.5 MVCSonstigesJoomlaGallery nur für Joomla! 1.0.xx?
Seiten: [1] 2 3 4
Drucken
Autor Thema: JoomlaGallery nur für Joomla! 1.0.xx?  (Gelesen 53310 mal)
0 Mitglieder und 1 Gast betrachten dieses Thema.
Nexan
Newbie
*
Offline Offline

Beiträge: 12


« am: 05-01-2008 22:53:08 »

Hallo,
Wird die JoomlaGallery nativ für Joomla 1.5 entwickelt werden oder wird es sie nur für Joomla 1.0.xx geben? sm_smile
Gespeichert
mab
Entwickler-Team
Administrator
Hero Member
*****
Offline Offline

Beiträge: 1.279



« Antworten #1 am: 05-01-2008 23:27:58 »

Hi Nexan,

geplant ist, dass wir die JoomGallery zunächst für die 1.0.xx fertigstellen und uns danach an die Portierung auf die 1.5 machen...
Gespeichert

Gruß mab
Loewenherz
Newbie
*
Offline Offline

Beiträge: 1


WWW
« Antworten #2 am: 29-01-2008 13:36:42 »

Hi Mab,
macht diese Entscheidung wirklich Sinn, weil der Schritt von ML zu JG auf der 1.0.x leichter ist? Oder wäre es - falls ihr eine größere Code-Review vorhabt - nicht besser, die ML bei Joomla 1.0.x zu lassen und JG gleich für 1.5 zu starten? Zumal eine gute Galerie-Komponente für die 1.5 derzeit Seltenheitswert hätte (Coppermine braucht eine Bridge und Phoca Gallery ist kein Vergleich) und auch im internationalen Raum viel Anklang finden würde?
Gespeichert

mab
Entwickler-Team
Administrator
Hero Member
*****
Offline Offline

Beiträge: 1.279



« Antworten #3 am: 29-01-2008 14:06:16 »

Hi Loewenherz,

wir haben ziemlich viele Anwender, die noch lange die 1.0.x einsetzen werden und denen können wir unmöglich die Neuerungen der JoomGallery vorenthalten.
Das würde bedeuten, dass wir die PonyGallery ML parallel weiterentwickeln müßten und das wollen wir nicht und können wir auch garnicht leisten.
Unser Team ist dafür einfach zu klein.
Wir haben jetzt schon Schwierigkeiten, uns entsprechend auf die JoomGallery zu konzentrieren und deren Entwicklung voranzutreiben, weil der Support für die PonyGallery ML sehr viel Zeit frißt.
Und diese "Doppelbelastung" wollen wir zukünftig vermeiden. Und ich glaube zudem, dass wir noch eine Weile brauchen werden, um uns in die Programmierung für Joomla 1.5 einzuarbeiten. Schließlich sind wir keine Hardcore-Programmierer und können das alles ja nur in unserer Freizeit machen.
Wäre das Team größer, dann würde ich Deinen Vorschlag favorisieren, aber so bleibt uns nur, uns den Aufgaben nach und nach zu widmen...
 
Gespeichert

Gruß mab
octane
Hobbybastler
Global Moderator
Newbie
*****
Offline Offline

Beiträge: 24



WWW
« Antworten #4 am: 30-01-2008 15:58:24 »

wir haben ziemlich viele Anwender, die noch lange die 1.0.x einsetzen werden und denen können wir unmöglich die Neuerungen der JoomGallery vorenthalten.

Hi mab

Find ich gut. Es gibt ja eigentlich zurzeit keinen einzigen Grund eine bestehende Seite auf Joomla 1.5 upzudaten (ich denke dass es auch später keinen Grund geben wird). Aber sehr wohl würden viele gerne die Pony ML auf Joomgallery updaten.
Und wenn dann die Joomgallery für Joomla 1.5 erhältlich ist, wird sie sich bestimmt extrem grosser Beliebtheit erfreuen. Zurzeit ist es wirklich so wie Löwenherz sagt, dass es nichts vergleichbares für 1.5 gibt. Das wird wohl noch eine Weile so bleiben. Leider. 
Gespeichert

jmeyerdo
Newbie
*
Offline Offline

Beiträge: 2


« Antworten #5 am: 05-02-2008 12:35:59 »

Hallo allerseits!

Ich bin bei der Suche nach einer "neuen" Gallery (setze bisher die Gallery2 mit der Bridge für Joomla ein) schon mehrfach über die Pony-Gallery gestolpert. Für ein neues Projekt wollte ich diese (oder den Nachfolger...) gerne einsetzen. Da ich dabei in jedem Fall Joomla 1.5 einsetzen werde, an dieser Stelle noch einmal ein "höfliches" Voting für die 1.5.
Ich denke, eine Diskussion, warum Joomla 1.5 genutzt wird, ist hier nicht unbedingt sinnvoll. Von der Code-Basis und der Funktionalität gibt es da schon diverse Gründe für. Entwickler einiger Komponenten stellen für neue Versionen ganz auf die 1.5 um, weil die Version auch bei der Entwicklung eigener Komponenten Vorteile bieten soll.
Dass ich beim Googlen schon über Blogeinträge gestoßen bin, die Eure Galerie favorisieren, aber für Joomla 1.5 auf andere Komponenten verweisen, ist eigentlich schade.

Daher nur meine Nachricht als kleiner Gegenvote.  sm_smile

Eure Galerie ist klasse, eine Priorisierung der bisherigen User ist nachvollziehbar und Euer Support ist ebenfalls hervorragend, wie ich sehe. Insofern weiterhin frohes Schaffen (aber vergesst die 1.5 nicht... sm_smile)!

      Jens

Gespeichert
octane
Hobbybastler
Global Moderator
Newbie
*****
Offline Offline

Beiträge: 24



WWW
« Antworten #6 am: 16-02-2008 14:11:09 »

Ich denke, eine Diskussion, warum Joomla 1.5 genutzt wird, ist hier nicht unbedingt sinnvoll. Von der Code-Basis und der Funktionalität gibt es da schon diverse Gründe für. Entwickler einiger Komponenten stellen für neue Versionen ganz auf die 1.5 um, weil die Version auch bei der Entwicklung eigener Komponenten Vorteile bieten soll.
Dass ich beim Googlen schon über Blogeinträge gestoßen bin, die Eure Galerie favorisieren, aber für Joomla 1.5 auf andere Komponenten verweisen, ist eigentlich schade.

Hi Jens

Da muss auch nicht diskutiert werden. Joomla 1.5.x gehört zweifellos die Zukunft. Dass die JoomGallery noch nicht erhätlich ist hat halt mit den beschränkten personellen Ressourcen des Entwicklungsteams zu tun. Die haben ja alle noch einen Job bzw. Studium zu bewältigen. Und ev. noch andere Hobbys.

Die Auswahl an Galerien die nativ auf Joomla 1.5.x laufen ist zurzeit tatsächlich noch sehr klein . Etwas das vergleichbar mit der Pony wäre gibt es nicht. Die beste Joomlakomponente ist wohl die Phoca Gallery oder wenn man etwas grösseres haben will die Bridge für die externe Coppermine Gallery. 
Gespeichert

jmeyerdo
Newbie
*
Offline Offline

Beiträge: 2


« Antworten #7 am: 16-02-2008 16:52:38 »

Hi!

Danke für die nette Antwort. Die beiden "Alternativen" hatte ich auch schon im Blick.

Klar - wie gesagt bin ich schon beeindruckt von der Pony-Galerie und dem netten Support hier und verstehe auch die Priorisierung. Klang nur in einem Post vorher etwas nach "Joomla 1.5 braucht man ja nicht" - daher mein höfliches Voting, die 1.5 nicht zu vergessen.

Allen frohes Schaffen, viele Grüße!

      Jens
Gespeichert
octane
Hobbybastler
Global Moderator
Newbie
*****
Offline Offline

Beiträge: 24



WWW
« Antworten #8 am: 16-02-2008 17:02:02 »

Klang nur in einem Post vorher etwas nach "Joomla 1.5 braucht man ja nicht" - daher mein höfliches Voting, die 1.5 nicht zu vergessen.

Ja stimmt schon  sm_smilewinkgrin. Das gilt aber nur für bestehende Seiten. Für eine neue Seite muss und soll  man natürlich 1.5.x in Betracht ziehen. Die 1.5.1  läuft ziemlich stabil und es wird laufend sehr intensiv daran gearbeitet. Nur fehlen eben noch viele Erweiterungen.
Gespeichert

chaoszwerg
Newbie
*
Offline Offline

Beiträge: 5


« Antworten #9 am: 26-02-2008 10:37:16 »

Hallo,

ich möchte mich auch für ein Voting für die Joomla 1.5 Version anschliessen!

Eine Entwickelung der Joomgallery auf 1.5 würde auch Umstiegswilligen die Entscheidung leichter machen und der Verion 1.5 einen ordentlichen Schub geben, was die Anzahl der Installation betrifft(Womit sich auch wieder die Anzahl der Plugins erhöhen würde!). Mit einem Produkt wie Joomgallery(Pony Gallery)das eine sehr hoch Aktzeptanz und Verbreitung hat ist gerade predesiniert für so ein Vorstoß in Richtung 1.5!

Gibt es eine Roadmap, was die Entwicklungs und Zeitzyklen angeht?
So was wäre super hilfreich, um z.B. einen Umstieg zu planen!

Auf alle Fälle macht weiter so!!!! Pony(Joom)Gallery ist eine super Software, die ich nicht missen möchte!
Gespeichert
Zappa
Newbie
*
Offline Offline

Beiträge: 1



WWW
« Antworten #10 am: 11-04-2008 21:15:59 »

Moinsen

Naja, schade finde ich es auch, dass die Pony erstmal nur für das "alte" Joomla neu gemacht wird. Ich kann aber auch das Vorgehen bei den "Nebentätigkeiten" der Macher kapieren.
Daher werde ich wohl noch ne Weile fremdgehen müssen.
Ist den schon abzusehen, so grob, wann dann die Portierung auf 1.5.x gelaufen sein könnte?

Grüße, alter Name, alter Mensch
Maik
Gespeichert
Mike320
Newbie
*
Offline Offline

Beiträge: 2


« Antworten #11 am: 12-04-2008 01:01:01 »

Hallo zusammen,

lese gerade mit Schrecken, das JoomGallery noch für 1.0.x entwickelt wird  sm_cry

Gerade wegen der begrenzten Ressourcen kann ich das nicht verstehen, und ich bin seit 20 Jahren in der IT-Branche tätig.

Pflegt die Pony auf stabiler Codebasis für 1.0.x weiter und steckt Eure Zeit und Ressourcen für die Entwicklung in eine neue Komponente für Joomla! 1.5, alles andere werdet Ihr in ein paar Wochen oder Monaten sicher bereuen.

Jede Stunde Entwicklungszeit die Ihr bereits jetzt für eine 1.5er Version aufwendet ist später doppelt wertvoll, der Wissens- und Zeitvorsprung nie wieder aufzuholen. Über Joomla 1.0.x spricht bald keiner mehr, die Anbieter guter Templates haben inzwischen den Trend bereits erkannt und wer seine Module bereits auf 1.5 umgestellt hat gewinnt zur Zeit viele neue Anwender.

Ich habe Eure Ponygallery ML auf einigen alten 1.0er Seiten im Einsatz, zum Glück setze ich aber auch schon immer Gallery2 parallel ein und bin froh, das ich die damit realisierten Sites in den letzten Wochen ohne Probleme auf Joomla! 1.5 umstellen konnte.

Von den mit Pony realisierten Projekten werden nur 2-3 Vereinsseiten zunächst noch aus Zeitgründen weiter mit Joomla! 1.0 und Pony laufen, alle anderen werden nun sukzessive umgestellt und da es keine wirklich vernünftige 1.5er Galeriekomponente gibt, Phoca ist nun wirklich keine Alternative, wird es eben eine Standalone-Lösung, die dann wenigstens nicht mehr von irgendeinem Joomlarelease oder der Zeit und Gunst der Entwickler abhängig ist.

Drücke Euch die Daumen, das ihr die Motivation und Energie nicht verliert, bevor Eure 1.5er Version irgendwann wirklich Realität wird.

Gruß,

Mike
Gespeichert
Claudia E.
Global Moderator
Hero Member
*****
Offline Offline

Beiträge: 1.842



« Antworten #12 am: 12-04-2008 13:16:04 »

Es ist wirklich eine unglaubliche Frechheit, was sich die Entwickler der Pony erlauben. Haben sie doch tatsächlich eigene Meinungen und Vorstellungen, wie es mit ihrer Galerie weitergehen wird.
Und dann werden noch so jämmerliche Gründe wie Privatleben, Zeitmangel, Jobs, zu kleines Team usw. vorgeschoben - ts ts ts.

Aber jetzt wird ja alles besser: Der richtige Weg ward euch gezeigt.


Dann und wann möchte Frau einfach auf die Tastatur spucken - aber dat macht ihr ja dann auch nicht sauber... wegen Privatleben, Zeitmangel, Jobs, zu kleinem Team vermutlich. sm_smilewinkgrin
« Letzte Änderung: 12-04-2008 23:20:04 von Claudia E. » Gespeichert

Freundliche Grüße von
Claudia
octane
Hobbybastler
Global Moderator
Newbie
*****
Offline Offline

Beiträge: 24



WWW
« Antworten #13 am: 12-04-2008 13:21:23 »

Pflegt die Pony auf stabiler Codebasis für 1.0.x weiter und steckt Eure Zeit und Ressourcen für die Entwicklung in eine neue Komponente für Joomla! 1.5, alles andere werdet Ihr in ein paar Wochen oder Monaten sicher bereuen.

Nicht jeder hat Bock eine gut laufende 1.0.x Seite jetzt auf 1.5 zu portieren. Warum auch? Wo sind die massiven Vorteile die das rechtfertigen würden? Ich bin jedenfalls froh dass ich die Vorteile der Joomgallery (z.b. eigene Ordner pro Album) auch auf Joomla 1.0.x einsetzen kann. 
Gespeichert

Hypnotoad
Entwickler-Team
Jr. Member
*****
Offline Offline

Beiträge: 225



WWW
« Antworten #14 am: 12-04-2008 16:12:24 »

Pflegt die Pony auf stabiler Codebasis für 1.0.x weiter und steckt Eure Zeit und Ressourcen für die Entwicklung in eine neue Komponente für Joomla! 1.5, alles andere werdet Ihr in ein paar Wochen oder Monaten sicher bereuen.
Eine komplett neue Komponente wird aber leider nicht entwickelt, dazu fehlt allen die Zeit. Die Joomgallery gibt es hinter den Kulissen schon eine Weile, der Übergang von Pony- zu Joomgallery wurde nur immer verzögert. Und die Joomgallery wurde nunmal erst auf Joomla 1.0 entwickelt. Dazu sehe ich momentan für bestehende Joomla 1.0 Seiten überhaupt keinen Grund auf 1.5 upzudaten, nur um die neueste Version am laufen zu haben. Von der Performance her ist es auf jeden Fall langsamer (Quelle: Joomlaperformance).

Der Königsweg ist sicherlich, beide Versionen nativ zu unterstützen, und zwar mit einer Codebasis. Dies wird z.B. beim Community Builder so gemacht. Ein Schritt in die Richtung ist, erst mal 1.5 im legacy mode zu unterstützen... wenn wir das hinbekommen, wird das in der Joomgallery 1 auch so passieren.

Gespeichert

Bitte keine Support-Anfragen per PN. Einfach im Forum posten, vielleicht hat jemand anders ein ähnliches Problem, oder es bereits gelöst.

jAwards - Medallien und mehr in Joomla
Seiten: [1] 2 3 4
Drucken
Gehe zu:  

HOSTED BY SCHWARZKÜNSTLER ®

PROTECTED BY  ZB BLOCK  AND Project Honey Pot
Theme orange-lt created by panic

Bad Behavior has blocked 1375 access attempts in the last 7 days.